DefaultGrailsFiltersClass (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.web.filters

## [Groovy] Class DefaultGrailsFiltersClass

- org.codehaus.groovy.grails.plugins.web.filters.DefaultGrailsFiltersClass

- All Implemented Interfaces and Traits:
    GrailsFiltersClass

      class DefaultGrailsFiltersClass
      extends AbstractInjectableGrailsClass

  Loads filter definitions into a set of FilterConfig instances.

  Authors:
    mike
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.lang.Object` | `FILTERS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsFiltersClass (java.lang.Class aClass)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<FilterConfig>` | `getConfigs(java.lang.Object filters)`
    `groovy.lang.MetaClass` | `getMetaClass()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractInjectableGrailsClass` | `byName, byType, getAvailable`
    `class AbstractGrailsClass` | `getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static java.lang.Object FILTERS

  - ### Constructor Detail

    - #### DefaultGrailsFiltersClass(java.lang.Class aClass)

  - ### Method Detail

    - #### java.util.List<FilterConfig> getConfigs(java.lang.Object filters)

    - #### @java.lang.Override groovy.lang.MetaClass getMetaClass()